{% extends 'layouts/base.html' %}

{% block title %} Dashboard {% endblock title %}

<!-- Specific CSS goes HERE -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="container-fluid py-4">
  <div class="row my-4">
    <div class="col-lg-12 col-md-6 mb-md-0 mb-4">
      <div class="card">
        <div class="card-header pb-0">
          <div class="row">
            <div class="col-lg-6 col-7">
              <h6>Search</h6>
            </div>
          </div>
          <form action="" method="get">
            <div class="row">
              <div class="col-lg-6 col-5">
                <div class="">
                  <div class="bg-white border-radius-lg d-flex">
                    <input name="query" type="text" class="form-control border-0 ps-3" placeholder="Type here..."
                      value="{{query}}">
                    <button class="btn bg-gradient-primary pl-2 my-1 me-1" type="submit">Search</button>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="card-body px-0 pb-2">
          <div class="table-responsive">
            <table class="table align-items-center mb-0">
              <thead>
                <tr>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">DOC ID</th>
                  <th class="text-uppercase align-middle text-center text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Content</th>
                  <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7 ps-2">Score</th>
                </tr>
              </thead>
              <tbody>
                {% for doc in page_obj %}
                <tr>
                  <td class="align-middle text-center text-sm">
                    <span class="text-xs font-weight-bold"> <a href="/document/{{doc.0}}">{{doc.0}}</a> </span>
                  </td>
                  <td class="align-middle text-sm">
                    <span class="text-xs font-weight-bold">{{doc.1|truncatechars:150}}</span>
                  </td>
                  <td class="align-middle text-center text-sm">
                    <span class="text-xs font-weight-bold"> {{doc.2|floatformat:2}} </span>
                  </td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
          <div class="pagination p-2">
            <nav aria-label="Page navigation example">
              <ul class="pagination">
                {% if page_obj.has_previous %}
                <li class="page-item">
                  <a class="page-link" href="?query={{query}}&page=1" aria-label="Previous">
                    <span aria-hidden="true">First</span>
                    <span class="sr-only">First</span>
                  </a>
                </li>
                <li class="page-item">
                  <a class="page-link" href="?query={{query}}&page={{ page_obj.previous_page_number }}" aria-label="Previous">
                    <span aria-hidden="true">&laquo;</span>
                    <span class="sr-only">Previous</span>
                  </a>
                </li>
                {% endif %}
                {% if page_obj.number != 1 %}
                <li class="page-item"><a class="page-link" href="?query={{query}}&page={{ page_obj.previous_page_number }}">{{page_obj.previous_page_number}}</a></li>
                {% endif %}
                <li class="page-item active"><a class="page-link" href="?query={{query}}&page={{ page_obj.number }}">{{page_obj.number}}</a></li>
                {% if page_obj.number != page_obj.paginator.num_pages %}
                <li class="page-item"><a class="page-link" href="?query={{query}}&page={{ page_obj.next_page_number }}">{{page_obj.next_page_number}}</a></li>
                {% endif %}
                {% if page_obj.has_next %}
                <li class="page-item">
                  <a class="page-link" href="?query={{query}}&page={{ page_obj.next_page_number }}" aria-label="Next">
                    <span aria-hidden="true">&raquo;</span>
                    <span class="sr-only">Next</span>
                  </a>
                </li>
                <li class="page-item">
                  <a class="page-link" href="?query={{query}}&page={{ page_obj.paginator.num_pages }}" aria-label="Next">
                    <span aria-hidden="true">Last</span>
                    <span class="sr-only">Last</span>
                  </a>
                </li>
                {% endif %}
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </div>

  {% include "includes/footer.html" %}

</div>

{% endblock content %}

<!-- Specific JS goes HERE -->
{% block javascripts %}

<script src="/static/assets/js/plugins/chartjs.min.js"></script>
<script src="/static/assets/js/plugins/Chart.extension.js"></script>
<script>
  var win = navigator.platform.indexOf('Win') > -1;
  if (win && document.querySelector('#sidenav-scrollbar')) {
    var options = {
      damping: '0.5'
    }
    Scrollbar.init(document.querySelector('#sidenav-scrollbar'), options);
  }
</script>

{% endblock javascripts %}